org.apache.ignite.internal.processors.bulkload.pipeline

## Class LineSplitterBlock

- java.lang.Object
- - org.apache.ignite.internal.processors.bulkload.pipeline.PipelineBlock<char[],String>
  - - org.apache.ignite.internal.processors.bulkload.pipeline.LineSplitterBlock

    public class LineSplitterBlock
    extends PipelineBlock<char[],String>

A `PipelineBlock`, which splits input stream of char[] into lines using the specified `Pattern` as line separator. Next block `PipelineBlock.accept(Object, boolean)` is invoked for each line. Leftover characters are remembered and used during processing the next input batch, unless isLastPortion flag is specified.

### Constructor Summary

Constructors
Constructor and Description
`LineSplitterBlock(Pattern delim)` Creates line splitter block.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `accept(char[] chars, boolean isLastPortion)` Accepts a portion of input.

### Methods inherited from class org.apache.ignite.internal.processors.bulkload.pipeline.PipelineBlock

`append`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LineSplitterBlock

    public LineSplitterBlock(Pattern delim)

Creates line splitter block.

Parameters:
  `delim` - The line separator pattern.

### Method Detail

#### accept

    public void accept(char[] chars,
                       boolean isLastPortion)
                throws IgniteCheckedException

Accepts a portion of input. `isLastPortion` parameter should be set if this is a last portion of the input. The method must not be called after the end of input: the call with `isLastPortion == true` is the last one.

Specified by:
  `accept` in class `PipelineBlock<char[],String>`
Parameters:
  `chars` - Portion of input.
  `isLastPortion` - Is this the last portion.
Throws:
  `IgniteCheckedException` - On error.

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.6.0
Release Date | : July 10 2018